Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/sbin/newbtconf bail if the source config doesn't exist as a ...
details: https://anonhg.NetBSD.org/src/rev/89e2f7505488
branches: trunk
changeset: 477115:89e2f7505488
user: darrenr <darrenr%NetBSD.org@localhost>
date: Mon Oct 11 12:45:43 1999 +0000
description:
bail if the source config doesn't exist as a directory
diffstat:
sbin/newbtconf/newbtconf.sh | 4 ++++
1 files changed, 4 insertions(+), 0 deletions(-)
diffs (14 lines):
diff -r fa917812bdef -r 89e2f7505488 sbin/newbtconf/newbtconf.sh
--- a/sbin/newbtconf/newbtconf.sh Mon Oct 11 12:40:12 1999 +0000
+++ b/sbin/newbtconf/newbtconf.sh Mon Oct 11 12:45:43 1999 +0000
@@ -50,6 +50,10 @@
orig=etc.$orig
fi
+if [ ! -d /etc/$orig ] ; then
+ echo "Original directory /etc/$orig does not exist."
+ exit 1;
+fi
mkdir -m 755 /etc/$dir
cp -p /etc/$orig/* /etc/$dir
echo "/etc/$dir has now been created and populated."
Home |
Main Index |
Thread Index |
Old Index